*{
    margin:0;
    padding:0;
    box-sizing:border-box;
    font-family:Arial, Helvetica, sans-serif;
}

body{

    display:flex;

    justify-content:center;

    align-items:center;

    height:100vh;

    background:linear-gradient(135deg,#0f172a,#2563eb,#38bdf8);

    overflow:hidden;

}

body::before{

    content:"";

    position:absolute;

    width:400px;

    height:400px;

    background:rgba(255,255,255,.08);

    border-radius:50%;

    top:-120px;

    left:-120px;

}

body::after{

    content:"";

    position:absolute;

    width:350px;

    height:350px;

    background:rgba(255,255,255,.08);

    border-radius:50%;

    bottom:-120px;

    right:-120px;

}

.login-box{

    width:380px;

    padding:35px;

    background:rgba(255,255,255,.15);

    backdrop-filter:blur(18px);

    border-radius:18px;

    border:1px solid rgba(255,255,255,.25);

    box-shadow:0 15px 40px rgba(0,0,0,.3);

    position:relative;

    z-index:10;

}

.login-box h2{

    color:white;

    text-align:center;

    margin-bottom:10px;

}

.subtitle{

    text-align:center;

    color:#dbeafe;

    margin-bottom:25px;

}

input{

    width:100%;

    padding:14px;

    margin-bottom:18px;

    border:none;

    outline:none;

    border-radius:8px;

    font-size:15px;

}

input:focus{

    box-shadow:0 0 10px #38bdf8;

}

button{

    width:100%;

    padding:14px;

    border:none;

    border-radius:8px;

    background:#0ea5e9;

    color:white;

    font-size:17px;

    cursor:pointer;

    transition:.3s;

}

button:hover{

    background:#0284c7;

    transform:translateY(-2px);

}

#message{

    margin-top:18px;

    text-align:center;

    color:#bbf7d0;

    font-weight:bold;

}